[ubuntu/maverick] postgresql-common 109 (Accepted)

Martin Pitt martin.pitt at ubuntu.com
Tue Jul 20 08:05:24 BST 2010


postgresql-common (109) unstable; urgency=low

  * pg_lsclusters: Fix "uninitialized value" warning when a cluster's data
    directory is not set. This is a rather fatal problem anyway, but we can
    present it in a nicer way. Thanks Christoph Berg! (Closes: #589014)
  * Migrate to a common init script for all server versions, to avoid
    providing the "postgresql" service in multiple packages (which causes
    insserv to complain bitterly):
    - debian/init.d-functions: Add function get_versions() which returns all
      installed versions, but filters out the ones which have their own init
      script. With that, we can run newer common versions with older server
      packages.
    - debian/maintscripts-functions: Add function stop_version() (to be called
      from "prerm upgrade"), and start cluster in configure_version() if there
      is no version specific init script.
    - Add debian/postgresql-common.postgresql.init: Common init script for all
      installed server versions.
    - debian/rules: Install common init script.
    - (Closes: #589524)
  * Add debian/source/format: 3.0 (native).
  * debian/control: Bump Standards-Version to 3.9.0 (no changes necessary).

Date: Mon, 19 Jul 2010 23:20:13 +0200
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Maintainer: Martin Pitt <mpitt at debian.org>
Origin: debian/unstable
https://launchpad.net/ubuntu/maverick/+source/postgresql-common/109
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Origin: debian/unstable
Format: 1.8
Date: Mon, 19 Jul 2010 23:20:13 +0200
Source: postgresql-common
Binary: postgresql-common postgresql-client-common
Architecture: source
Version: 109
Distribution: maverick
Urgency: low
Maintainer: Martin Pitt <mpitt at debian.org>
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Description: 
 postgresql-client-common - manager for multiple PostgreSQL client versions
 postgresql-common - PostgreSQL database-cluster manager
Closes: 589014 589524
Changes: 
 postgresql-common (109) unstable; urgency=low
 .
   * pg_lsclusters: Fix "uninitialized value" warning when a cluster's data
     directory is not set. This is a rather fatal problem anyway, but we can
     present it in a nicer way. Thanks Christoph Berg! (Closes: #589014)
   * Migrate to a common init script for all server versions, to avoid
     providing the "postgresql" service in multiple packages (which causes
     insserv to complain bitterly):
     - debian/init.d-functions: Add function get_versions() which returns all
       installed versions, but filters out the ones which have their own init
       script. With that, we can run newer common versions with older server
       packages.
     - debian/maintscripts-functions: Add function stop_version() (to be called
       from "prerm upgrade"), and start cluster in configure_version() if there
       is no version specific init script.
     - Add debian/postgresql-common.postgresql.init: Common init script for all
       installed server versions.
     - debian/rules: Install common init script.
     - (Closes: #589524)
   * Add debian/source/format: 3.0 (native).
   * debian/control: Bump Standards-Version to 3.9.0 (no changes necessary).
Checksums-Sha1: 
 343b19e42fcea868cb65089e9a698197d60e4a6d 912 postgresql-common_109.dsc
 a1023ac3be5fe392769ca8f77f2f12f108d1c978 122042 postgresql-common_109.tar.gz
Checksums-Sha256: 
 fb801b4efe14df5f2639db80f4e65011254a79fca4b05e48ec8eea6a0d1ba0b2 912 postgresql-common_109.dsc
 5b3f3ebac770595f3c5a6b49ffd2ab9e1c96cbf16b64595fd3f8a728bef1eadd 122042 postgresql-common_109.tar.gz
Files: 
 bc09ebe47e6410d680398fd757285e30 912 database optional postgresql-common_109.dsc
 c826b951f2baf2dc8ef2322de8d58809 122042 database optional postgresql-common_109.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxFSf4ACgkQDecnbV4Fd/LibwCgys2Z6uUAUfzlC7xD7N2+h7IP
4gYAniWoAZ1O76KSZGu3MJeS1JhFwwP+
=F+TP
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list